from PDW import PDW


class IQDWTXBLOCK():

    @classmethod
    def from_bytes(cls, byte_string):
        pdw = PDW.from_bytes(bytes[0:32])
        return IQDWTXBLOCK(pdw, bytes[32:])

    def __init__(self, pdw, iq):

        self.pdw = pdw
        self.iq = iq
